package omq.common.util.Serializers;

import omq.exception.SerializerException;

/**
 * 
 * @author Sergi Toda <sergi.toda@estudiants.urv.cat>
 * @author Guillermo Guerrero <guillermo.guerrero@estudiants.urv.cat>
 * 
 */
public interface ISerializer {
	public byte[] serialize(Object obj) throws SerializerException;
	public byte[] serialize(Object obj, Class<?> clazz) throws SerializerException;

	public Object deserialize(byte[] bytes) throws SerializerException;
	public Object deserialize(byte[] bytes, Class<?> clazz) throws SerializerException;
}
